Skip to main content
GET
Token - Candles
Get OHLCV candlestick data at various resolutions (1m, 5m, 15m, 1h, 4h, 1d). Ideal for charting and technical analysis.
Related: GraphQL OHLC | MCP: token_get_candles

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

chain
enum<string>
required

A chain name listed in supported networks Supported blockchain chains

Available options:
sol,
eth,
bsc
tokenAddress
string
required

An address of a token

Query Parameters

resolution
enum<string>
required

Time resolution for candle data Candle resolution

Available options:
1s,
15s,
30s,
1m,
3m,
5m,
15m,
30m,
1h,
2h,
4h,
6h,
8h,
12h,
1d,
3d,
1w,
1M
priceType
enum<string>
default:usd

Price type: usd (default) or native token price Price type for candle data

Available options:
usd,
native
from
integer<int64>

Start timestamp (Unix epoch in seconds)

to
integer<int64>

End timestamp (Unix epoch in seconds)

limit
integer<int64>

Number of candles to return

Response

200 - application/json

Get Candles

close
string
required

Close price

Example:

"51.2"

high
string
required

High price

Example:

"51.8"

low
string
required

Low price

Example:

"50.1"

open
string
required

Open price

Example:

"50.5"

timestamp
integer<int64>
required

Timestamp

Example:

1709251200000

volume
string
required

Volume in USD or native currency (depending on priceType)

Example:

"1000000"

trades
integer<int64> | null

Number of trades (swaps) in this candle bar

Example:

128

volumeInTokenAmount
string | null

Base token quantity (e.g. number of CAKE or SOL tokens traded)

Example:

"42000.5"